<?php

require_once ("../../config/Cado.php");

require_once("cCuentatipo.php");

$oCuentatipo = new cCuentatipo();







if($_POST['action_cuentatipo']=="insertar"){

	if(!empty($_POST['txt_ele_cod']) && !empty($_POST['txt_ele_des']))

	{

		$oCuentatipo->insertar($_POST['txt_ele_cod'], $_POST['txt_ele_des'], $_POST['txt_ele_ord']);

		

		$dts=$oCuentatipo->ultimoInsert();

		$dt = mysqli_fetch_array($dts);

		$ele_id=$dt['last_insert_id()'];

		mysqli_free_result($dts);

		

		$data['ele_id']=$ele_id;

		$data['ele_msj']='Se registró tipo de Cuentatipo correctamente.';

	}

	else

	{

		$data['ele_msj']='Intentelo nuevamente.';

	}



	echo json_encode($data);

}







if($_POST['action_cuentatipo']=="editar")

{

	if(!empty($_POST['txt_ele_cod']) && !empty($_POST['txt_ele_des']))

	{

		$oCuentatipo->modificar($_POST['hdd_ele_id'],$_POST['txt_ele_cod'],$_POST['txt_ele_des'],$_POST['txt_ele_ord']);

		

		$data['ele_msj']='Se actualizo Cuentatipo correctamente.';

	}

	else

	{

		$data['ele_msj']='Intentelo nuevamente.';

	}

	header('Content-type: application/json');

	echo json_encode($data);

}



if($_POST['action']=="eliminar")

{

	if(!empty($_POST['ele_id']))

	{

		/*$cst1 = $oCuentatipo->verifica_Cuentatipo_tabla($_POST['ele_id'],'tb_misa');

		$rst1= mysqli_num_rows($cst1);

		if($rst1>0)$msj1=' - Misa';

		

		if($rst1>0)

		{

			echo "No se puede eliminar, afecta información de: ".$msj1.".";

		}

		else



		{*/

			$oCuentatipo->modificar_campo($_POST['ele_id'],'xac','0');

			$data['ele_msj']='Se envió a la papelera correctamente.'; 

			header('Content-type: application/json');

			echo json_encode($data);

		//}

		}

		else

		{			 

			$data['ele_msj']='Intentelo nuevamente.'; 

			header('Content-type: application/json');

			echo json_encode($data);

		}

	}

	?>